Bug 1871901 - Resume/Restart the tour action for quick start does not work properly
Summary: Resume/Restart the tour action for quick start does not work properly
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Rohit Rai
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 14:55 UTC by Rohit Rai
Modified: 2020-09-03 11:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Resume/Restart the tour action for quick start does work properly (898.12 KB, video/webm)
2020-09-03 11:27 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6411 None closed Bug 1871901: Fix restart and review quickstart scenario according to UX 2020-09-02 13:53:05 UTC

Description Rohit Rai 2020-08-24 14:55:44 UTC
Description of problem:

Restart/Resume the tour does not work if the side pane of another tour is open
Steps to Reproduce

    Go to the Quick Starts page
    Run a quick start of a card stop it
    Run another quick start
    Click on Restart the tour/Resume the tour for the first quick start

Actual results:

The first quick start does not restart/resume
Screencast_08-20-2020_045042PM.webm
Expected results:

It should perform the restart/resume tour actions
Reproducibility (Always/Intermittent/Only Once): Always
Build Details:
Additional info:

Browser version: Chrome 78

 
UX design changes:

    Remove the "this tour has already been completed" inline alert for all cases.
    Remove the Review the tour option for all cases.

Show the following buttons on the tiles:

    Start the tour if (1) never started before (2) started & completed
    If started before and not completed, Resume the tour (at spot you left saving status), Restart the tour (at beginning with no status)

Comment 3 spathak@redhat.com 2020-09-03 11:27:05 UTC
Created attachment 1713588 [details]
Resume/Restart the tour action for quick start does work properly

Comment 4 spathak@redhat.com 2020-09-03 11:27:51 UTC
Verified on build version: 4.6.0-0.nightly-2020-09-02-210353
Browser version: Chrome 84


Note You need to log in before you can comment on or make changes to this bug.